package com.example.wabi.view.common_elements.bars.bottom

import com.example.wabi.R
import com.example.wabi.domain.navigation.Routes

sealed class DestinationsBB(
    val route: String, val anotherRoute: String, val iconId: Int
) {
    object Basket : DestinationsBB(
        route = Routes.BASKET, anotherRoute = Routes.BASKET, iconId = R.drawable.user_basket_vector
    )

    object Catalog : DestinationsBB(
        route = Routes.CATALOG, anotherRoute = Routes.CATALOG, iconId = R.drawable.catalog_vector
    )

    object Profile : DestinationsBB(
        route = Routes.PROFILE, anotherRoute = Routes.SIGNIN, iconId = R.drawable.man_vector
    )
}